import { updateWindow } from "mirador/dist/es/src/state/actions";
import { getContainerId, getRights, getVisibleCanvases, getWindowManifests, getWindowViewType } from "mirador/dist/es/src/state/selectors";
import ShareCanvasLinkDialog from "./components/ShareCanvasLinkDialog";
import ShareControl from "./components/ShareControl";
import translations from "./locales";
import { getCanvasLinkOptions } from "./state/selectors";
export default [{
  component: ShareControl,
  config: {
    translations: translations
  },
  mapDispatchToProps: function mapDispatchToProps(dispatch, _ref) {
    var windowId = _ref.windowId;
    return {
      updateOptions: function updateOptions(options) {
        return dispatch(updateWindow(windowId, {
          canvasLink: options
        }));
      }
    };
  },
  mapStateToProps: function mapStateToProps(state, _ref2) {
    var windowId = _ref2.windowId;
    return {
      containerId: getContainerId(state),
      options: getCanvasLinkOptions(state, {
        windowId: windowId
      }),
      windowViewType: getWindowViewType(state, {
        windowId: windowId
      })
    };
  },
  mode: "add",
  target: "WindowTopBarPluginArea"
}, {
  component: ShareCanvasLinkDialog,
  config: {
    translations: translations
  },
  mapDispatchToProps: function mapDispatchToProps(dispatch, _ref3) {
    var windowId = _ref3.windowId;
    return {
      updateOptions: function updateOptions(options) {
        return dispatch(updateWindow(windowId, {
          canvasLink: options
        }));
      }
    };
  },
  mapStateToProps: function mapStateToProps(state, _ref4) {
    var windowId = _ref4.windowId;
    return {
      containerId: getContainerId(state),
      manifestId: getWindowManifests(state, {
        windowId: windowId
      })[0],
      visibleCanvases: getVisibleCanvases(state, {
        windowId: windowId
      }),
      options: getCanvasLinkOptions(state, {
        windowId: windowId
      }),
      rights: getRights(state, {
        windowId: windowId
      })
    };
  },
  mode: "add",
  target: "Window"
}];