"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _Link = _interopRequireDefault(require("@material-ui/core/Link"));

var _makeStyles = _interopRequireDefault(require("@material-ui/core/styles/makeStyles"));

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useStyles = (0, _makeStyles["default"])(function (theme) {
  return {
    root: {
      marginTop: theme.spacing(2)
    }
  };
});
/** Renders the rights information defined in the used manifest */

var RightsInformation = function RightsInformation(_ref) {
  var rights = _ref.rights,
      t = _ref.t;

  var _useStyles = useStyles(),
      root = _useStyles.root;

  if (!rights.length) {
    return null;
  }

  return /*#__PURE__*/_react["default"].createElement(_Alert["default"], {
    className: root,
    severity: "warning"
  }, /*#__PURE__*/_react["default"].createElement("span", null, t("canvasLink.noteRights", {
    count: rights.length
  }), ": "), rights.length === 1 ? /*#__PURE__*/_react["default"].createElement(_Link["default"], {
    href: rights[0],
    rel: "noopener",
    target: "_blank"
  }, rights[0]) : /*#__PURE__*/_react["default"].createElement("ul", null, rights.map(function (link) {
    return /*#__PURE__*/_react["default"].createElement("li", null, /*#__PURE__*/_react["default"].createElement(_Link["default"], {
      href: link,
      rel: "noopener",
      target: "_blank"
    }, link));
  })));
};

RightsInformation.propTypes = process.env.NODE_ENV !== "production" ? {
  rights: _propTypes["default"].arrayOf(_propTypes["default"].string).isRequired,
  t: _propTypes["default"].func.isRequired
} : {};
var _default = RightsInformation;
exports["default"] = _default;
module.exports = exports.default;