"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _Facebook = _interopRequireDefault(require("@material-ui/icons/Facebook"));

var _Mail = _interopRequireDefault(require("@material-ui/icons/Mail"));

var _Pinterest = _interopRequireDefault(require("@material-ui/icons/Pinterest"));

var _Twitter = _interopRequireDefault(require("@material-ui/icons/Twitter"));

var _WhatsApp = _interopRequireDefault(require("@material-ui/icons/WhatsApp"));

var _MiradorMenuButton = require("mirador/dist/es/src/components/MiradorMenuButton");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var iconMapping = {
  envelope: _Mail["default"],
  facebook: _Facebook["default"],
  pinterest: _Pinterest["default"],
  twitter: _Twitter["default"],
  whatsapp: _WhatsApp["default"]
};

var ShareButton = function ShareButton(_ref) {
  var attribution = _ref.attribution,
      canvasLink = _ref.canvasLink,
      label = _ref.label,
      provider = _ref.provider,
      thumbnailUrl = _ref.thumbnailUrl,
      title = _ref.title;
  var link = (0, _utils.getShareLink)(attribution, canvasLink, label, provider, thumbnailUrl);
  var ProviderIcon = iconMapping[provider];
  return /*#__PURE__*/_react["default"].createElement(_MiradorMenuButton.MiradorMenuButton, {
    "aria-label": title,
    href: encodeURI(link),
    rel: "noopener",
    target: "_blank"
  }, /*#__PURE__*/_react["default"].createElement(ProviderIcon, null));
};

ShareButton.propTypes = process.env.NODE_ENV !== "production" ? {
  attribution: _propTypes["default"].string,
  canvasLink: _propTypes["default"].string.isRequired,
  label: _propTypes["default"].string.isRequired,
  provider: _propTypes["default"].string.isRequired,
  thumbnailUrl: _propTypes["default"].string.isRequired,
  title: _propTypes["default"].string.isRequired
} : {};
ShareButton.defaultProps = {
  attribution: undefined
};
var _default = ShareButton;
exports["default"] = _default;
module.exports = exports.default;