"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _ButtonGroup = _interopRequireDefault(require("@material-ui/core/ButtonGroup"));

var _Dialog = _interopRequireDefault(require("@material-ui/core/Dialog"));

var _DialogActions = _interopRequireDefault(require("@material-ui/core/DialogActions"));

var _DialogTitle = _interopRequireDefault(require("@material-ui/core/DialogTitle"));

var _makeStyles = _interopRequireDefault(require("@material-ui/core/styles/makeStyles"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Alert = _interopRequireDefault(require("@material-ui/lab/Alert"));

var _ScrollIndicatedDialogContent = _interopRequireDefault(require("mirador/dist/es/src/containers/ScrollIndicatedDialogContent"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _CopyToClipboard = _interopRequireDefault(require("./CopyToClipboard"));

var _RightsInformation = _interopRequireDefault(require("./RightsInformation"));

var _ShareButton = _interopRequireDefault(require("./ShareButton"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var useStyles = (0, _makeStyles["default"])(function (theme) {
  return {
    actions: {
      justifyContent: "space-between",
      flexWrap: "wrap"
    },
    actionButtons: {
      flexWrap: "wrap"
    },
    alert: {
      marginBottom: theme.spacing(1)
    }
  };
});
var supportsClipboard = ("clipboard" in navigator);

var ShareCanvasLinkDialog = function ShareCanvasLinkDialog(_ref) {
  var manifestId = _ref.manifestId,
      visibleCanvases = _ref.visibleCanvases,
      label = _ref.label,
      options = _ref.options,
      rights = _ref.rights,
      t = _ref.t,
      updateOptions = _ref.updateOptions;
  var dialogOpen = options.dialogOpen,
      enabled = options.enabled,
      showRightsInformation = options.showRightsInformation,
      getCanvasLink = options.getCanvasLink;

  var _useState = (0, _react.useState)(false),
      copiedToClipboard = _useState[0],
      setCopiedToClipboard = _useState[1];

  var _useStyles = useStyles(),
      actions = _useStyles.actions,
      actionButtons = _useStyles.actionButtons,
      alert = _useStyles.alert;

  if (!enabled || !dialogOpen || visibleCanvases.length === 0) {
    return null;
  }

  var closeDialog = function closeDialog() {
    return updateOptions(_extends({}, options, {
      dialogOpen: false
    }));
  };

  var canvasLink = getCanvasLink(manifestId, visibleCanvases);

  var getPreviewUrl = function getPreviewUrl(width) {
    var _visibleCanvases$;

    return ((_visibleCanvases$ = visibleCanvases[0]) === null || _visibleCanvases$ === void 0 ? void 0 : _visibleCanvases$.imageServiceIds[0]) + "/full/" + width + ",/0/default.jpg";
  };

  return /*#__PURE__*/_react["default"].createElement(_Dialog["default"], {
    fullWidth: true,
    maxWidth: "sm",
    scroll: "paper",
    open: dialogOpen,
    onClose: closeDialog
  }, /*#__PURE__*/_react["default"].createElement(_DialogTitle["default"], {
    disableTypography: true
  }, /*#__PURE__*/_react["default"].createElement(_Typography["default"], {
    variant: "h4"
  }, /*#__PURE__*/_react["default"].createElement(_Box["default"], {
    fontWeight: "fontWeightBold"
  }, t("canvasLink.shareLink")))), /*#__PURE__*/_react["default"].createElement(_ScrollIndicatedDialogContent["default"], {
    dividers: true
  }, copiedToClipboard && /*#__PURE__*/_react["default"].createElement(_Alert["default"], {
    className: alert,
    closeText: t("canvasLink.close"),
    onClose: function onClose() {
      return setCopiedToClipboard(false);
    },
    severity: "success"
  }, t("canvasLink.copiedToClipboard")), /*#__PURE__*/_react["default"].createElement(_TextField["default"], {
    fullWidth: true,
    InputProps: {
      endAdornment: /*#__PURE__*/_react["default"].createElement(_CopyToClipboard["default"], {
        onCopy: function onCopy() {
          navigator.clipboard.writeText(canvasLink);
          setCopiedToClipboard(true);
          setTimeout(function () {
            return setCopiedToClipboard(false);
          }, 3000);
        },
        supported: supportsClipboard,
        t: t
      }),
      readOnly: true
    },
    size: "small",
    value: canvasLink,
    variant: "outlined"
  }), showRightsInformation && /*#__PURE__*/_react["default"].createElement(_RightsInformation["default"], {
    t: t,
    rights: rights
  })), /*#__PURE__*/_react["default"].createElement(_DialogActions["default"], {
    className: actions
  }, /*#__PURE__*/_react["default"].createElement(_ButtonGroup["default"], {
    className: actionButtons
  }, ["envelope", "facebook", "pinterest", "twitter", "whatsapp"].map(function (p) {
    return /*#__PURE__*/_react["default"].createElement(_ShareButton["default"], {
      canvasLink: canvasLink,
      label: label,
      provider: p,
      thumbnailUrl: getPreviewUrl(250),
      title: t("canvasLink.share." + p)
    });
  })), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      flex: "1 0 0"
    }
  }), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    color: "primary",
    onClick: closeDialog
  }, t("canvasLink.close"))));
};

ShareCanvasLinkDialog.propTypes = process.env.NODE_ENV !== "production" ? {
  manifestId: _propTypes["default"].string.isRequired,
  visibleCanvases: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    id: _propTypes["default"].string.isRequired,
    imageServiceIds: _propTypes["default"].arrayOf(_propTypes["default"].string).isRequired
  })),
  label: _propTypes["default"].string.isRequired,
  options: _propTypes["default"].shape({
    dialogOpen: _propTypes["default"].bool.isRequired,
    enabled: _propTypes["default"].bool.isRequired,
    showRightsInformation: _propTypes["default"].bool.isRequired,
    getCanvasLink: _propTypes["default"].func.isRequired
  }).isRequired,
  rights: _propTypes["default"].arrayOf(_propTypes["default"].string),
  t: _propTypes["default"].func.isRequired,
  updateOptions: _propTypes["default"].func.isRequired
} : {};
ShareCanvasLinkDialog.defaultProps = {
  visibleCanvases: [],
  rights: []
};
var _default = ShareCanvasLinkDialog;
exports["default"] = _default;
module.exports = exports.default;