"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _Share = _interopRequireDefault(require("@material-ui/icons/Share"));

var _MiradorMenuButton = require("mirador/dist/es/src/components/MiradorMenuButton");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var ShareControl = function ShareControl(_ref) {
  var containerId = _ref.containerId,
      options = _ref.options,
      t = _ref.t,
      updateOptions = _ref.updateOptions,
      windowViewType = _ref.windowViewType;
  var dialogOpen = options.dialogOpen,
      enabled = options.enabled,
      singleCanvasOnly = options.singleCanvasOnly;

  if (!enabled || // Only show in single canvas view if configured
  singleCanvasOnly && windowViewType !== "single" || // Never show in gallery view
  windowViewType === "gallery") {
    return null;
  }

  return /*#__PURE__*/_react["default"].createElement(_MiradorMenuButton.MiradorMenuButton, {
    "aria-expanded": dialogOpen,
    "aria-label": t("canvasLink.shareLink"),
    containerId: containerId,
    onClick: function onClick() {
      return updateOptions(_extends({}, options, {
        dialogOpen: !dialogOpen
      }));
    }
  }, /*#__PURE__*/_react["default"].createElement(_Share["default"], null));
};

ShareControl.propTypes = process.env.NODE_ENV !== "production" ? {
  containerId: _propTypes["default"].string.isRequired,
  options: _propTypes["default"].shape({
    dialogOpen: _propTypes["default"].bool.isRequired,
    enabled: _propTypes["default"].bool.isRequired,
    singleCanvasOnly: _propTypes["default"].bool.isRequired
  }).isRequired,
  t: _propTypes["default"].func.isRequired,
  updateOptions: _propTypes["default"].func.isRequired,
  windowViewType: _propTypes["default"].string.isRequired
} : {};
var _default = ShareControl;
exports["default"] = _default;
module.exports = exports.default;